# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

DESCRIPTION="a C++ library to control Z-Wave Networks via a USB Z-Wave Controller"
HOMEPAGE="http://www.openzwave.net/"

EGIT_REPO_URI="https://github.com/OpenZWave/open-zwave.git"
	EGIT_BRANCH="Dev"

if [[ "$PV" == "9999" ]] ; then
	inherit git-r3
	KEYWORDS=""
elif [[ "$PV" == "1.4_p20190123" ]] ; then
	inherit git-r3
	EGIT_COMMIT="ef1e9b7aced37f5e28529dac0f569fc1ce8af823"
	KEYWORDS="~amd64 ~x86"
else
	SRC_URI="https://github.com/OpenZWave/${PN}/archive/v${PV}.tar.gz"
	KEYWORDS="~amd64 ~x86"
fi

LICENSE="LGPL-3"
SLOT="0"
IUSE=""

DEPEND="virtual/libudev"
RDEPEND="${DEPEND}"

src_prepare(){
	eapply_user
	sed -i -e "s/\$(PREFIX)\/etc\/openzwave/\/etc\/openzwave/" cpp/build/support.mk
}

src_install(){
	emake DESTDIR="${D}" PREFIX="/usr/" install

	if ! declare -p DOCS >/dev/null 2>&1 ; then
		local d
		for d in README* ChangeLog AUTHORS NEWS TODO CHANGES THANKS BUGS \
				FAQ CREDITS CHANGELOG ; do
			[[ -s "${d}" ]] && dodoc "${d}"
		done
	elif declare -p DOCS | grep -q "^declare -a " ; then
		dodoc "${DOCS[@]}"
	else
		dodoc ${DOCS}
	fi
}
